-- much of this config comes from
-- https://github.com/elianiva/dotfiles/ - with much gratitude
local augroup = require("helpers.augroup")
local api = vim.api

require('settings')
require('plugins')
require('look')
require('maps')

-- Highlight whatever is being yanked
augroup({
    {
        'TextYankPost', '*',
        'silent! lua require"vim.highlight".on_yank{timeout=500}'
    }
}, 'highlightyanks')

-- Compile on plugin edits
augroup({{'BufWritePost', 'plugins.lua', 'PackerCompile'}}, 'compilepackages')

-- Special setting for editing gopass files - make sure nothing leaks outside the directories it is supposed to
augroup({
    {
        'BufNewFile,BufRead', '/dev/shm/gopass.*',
        'setlocal noswapfile nobackup noundofile nowritebackup viminfo='
    }, {
        'BufNewFile,BufRead', '/dev/shm/pass.?*/?*.txt',
        'setlocal noswapfile nobackup noundofile nowritebackup viminfo='
    }, {
        'BufNewFile,BufRead', '$TMPDIR/pass.?*/?*.txt',
        'setlocal noswapfile nobackup noundofile nowritebackup viminfo='
    }, {
        'BufNewFile,BufRead', '/tmp/pass.?*/?*.txt',
        'setlocal noswapfile nobackup noundofile nowritebackup viminfo='
    }
}, 'passnoleak')

-- fixing neovim opening up at same moment as alacritty (see https://github.com/neovim/neovim/issues/11330)
augroup({{'VimEnter', '*', 'silent exec "!kill -s SIGWINCH $PPID"'}}, 'fixsize')

api.nvim_exec('runtime abbrev.vim', false)
